
# GlobalKit
Version: **1.3**

## Introduction
**GlobalKit** is a module that provides alphabets from various languages in different scripts.
It can be used for language-related tasks, educational purposes and more.

## Installation
Installing module using *pip*:

`pip install GlobalKit` or `pip3 install GlobalKit`
    
## How to use
**GlobalKit** contains **lots** of alphabets (strings) in supported languages:
- **English**
- **Spanish**
- **French**
- **Dutch**
- **Portuguese**
- **Italian**
- **Finnish**
- **Swedish**
- **Norwegian**
- **Russian**
- **Ukrainian**
- **Polish**
- **numbers**

`convert_to_list(string: str)` converts `string` into a list.

`check(string: str, *alphabets: str)` verifies if `string` is present in any of the specified `alphabets`.

Examples:

```python
import GlobalKit as gk

print(gk.english) # Output: abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ
```

```python
from GlobalKit import convert_to_list

result_list = convert_to_list('example')
print(result_list)  # Output: ['e', 'x', 'a', 'm', 'p', 'l', 'e']
```

```python
from GlobalKit import check, english, russian_vowels, numbers

result1: bool = check('e', english)
result2: bool = check('1', english, numbers)
result3: bool = check('h', russian_vowels)

print(result1)  # Output: True
print(result2)  # Output: True
print(result3)  # Output: False
```

## Contact Developer
- [Discord](https://discord.com/users/873920068571000833)
- [Email](mailto:karpenkoartem2846@gmail.com)
- [GitHub](https://github.com/CrazyFlyKite)
